# Package oracle.jdbc.xa

Provides classes that implement the JDBC XA APIs.

See: Description

Class Summary
OracleMultiPhaseArgs: Utility class.
OracleXAConnection: An XAConnection object provides support for distributed transactions.
OracleXAConnectionBuilderImpl: Oracle Implementation class for Connection Builder
OracleXADataSource: A factory for XAConnection objects.
OracleXAResource: An Oracle XA Resource.
OracleXid: The OracleXid class:

Exception Summary
OracleXAException: OracleXAException extends XAException to leverage Oracle SQL Error number corresponding to the XA Exception.

## Package oracle.jdbc.xa Description

Provides classes that implement the JDBC XA APIs.

Since:
  9i
See Also:
  `javax.transaction.xa`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.